Bug 575541 (xcalc) - Review Request: xcalc - Scientific Calculator X11 Client
Summary: Review Request: xcalc - Scientific Calculator X11 Client
Status: CLOSED ERRATA
Alias: xcalc
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Terje Røsten
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-21 12:19 UTC by Steve Traylen
Modified: 2011-09-18 18:22 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-04-23 22:52:07 UTC
terjeros: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)
centos5 xcalc (12.90 KB, image/png)
2010-03-24 14:30 UTC, Steve Traylen
no flags Details
xcalc in this review (12.90 KB, image/png)
2010-03-24 14:41 UTC, Steve Traylen
no flags Details

Description Steve Traylen 2010-03-21 12:19:59 UTC
Spec URL: http://cern.ch/straylen/rpms/xcalc/xcalc.spec
SRPM URL: http://cern.ch/straylen/rpms/xcalc/xcalc-1.0.3-1.fc12.src.rpm
Description: 
xcalc is a scientific calculator X11 client that can emulate a
TI-30 or an HP-10C.

Comment 1 Terje Røsten 2010-03-21 21:04:07 UTC
Seems nice and simple, I don't like all the empty lines and prefer to have
%doc line as the first line i %files.

Comment 2 Steve Traylen 2010-03-21 21:15:31 UTC
Spec URL: http://cern.ch/straylen/rpms/xcalc/xcalc.spec
SRPM URL: http://cern.ch/straylen/rpms/xcalc/xcalc-1.0.3-2.fc12.src.rpm

Thanks for the comments.

I removed the empty lines but left the %doc as last line. Its the default
out rpmdev-newspec and what I normally do. A matter a taste.

Steve

Comment 3 Terje Røsten 2010-03-21 21:22:08 UTC
ok rpmlint
ok spec
ok naming
ok perms, dirs and owns
 ? might add INSTALL="install -p" to make install to preserve timestamps  
ok desktop file
 ? license: math.c seems to have a interesting history, is it really BSD?
 ! build flags seems ok, however add V=1 to make to see options
ok sha1sum xcalc-1.0.3.tar.bz2*
    0871efa12f0b28228457b898c3487bc8723d1ea8  xcalc-1.0.3.tar.bz2
    0871efa12f0b28228457b898c3487bc8723d1ea8  xcalc-1.0.3.tar.bz2.spec
 ! is references to TI-30 or an HP-10C ok? HP trademarks?
ok koji
    http://koji.fedoraproject.org/koji/taskinfo?taskID=2066914

Comment 4 Steve Traylen 2010-03-21 22:10:42 UTC
Spec URL: http://cern.ch/straylen/rpms/xcalc/xcalc.spec
SRPM URL: http://cern.ch/straylen/rpms/xcalc/xcalc-1.0.3-3.fc12.src.rpm


good point on the copyright, have dropped it.

Also have moved from desktop-install to install -p and desktop-validate.
as well for install -p to make install. Not something I ever due but 
yes it's correct.

Steve

Comment 5 R P Herrold 2010-03-22 01:25:56 UTC
I am confused. The name is NOT available
> ok naming

'xcalc' is a binary in the active RHEL 3, has been around under that name forever, is pervasive in existing X documentaiton as a non-scientific calculator.  Simply, there is a namespace conflict against this as a package name.  As the incumbent 'xcalc' is a non-scientific calculator, and I cannot imagine a good reason to intentionally add a namespace conflict with radically different functionality under the same name

[herrold@stones herrold]$ sudo yum provides "*bin/xcalc"
...
Looking in available packages for a providing package
Available package: XFree86-tools.i386 0:4.3.0-128.EL from update matches with
 /usr/X11R6/bin/xcalc

I see the earlier version also in tree at freedesktop

http://xorg.freedesktop.org/releases/unsupported/programs/xcalc/

while Motif may be hated by some, that name is taken

Steve: any chance of a package rename to avoid this conflict?

-- Russ herrold

Comment 6 Steve Traylen 2010-03-22 04:35:39 UTC
(In reply to comment #5)

Hi Russ,

Its not a problem to change but

http://xorg.freedesktop.org/releases/unsupported/programs/xcalc/
and
http://xorg.freedesktop.org/releases/individual/app/xcalc-1.0.3.tar.bz2

are the same piece of software. The first as you say was dropped
from X11R6 mainstream and was dropped from RHEL5.

This new one looks to be the new maintained  (to what ever extent)
version of this software, certainly there was a release end of last
year which is a good sign.

For this reason I think this should be called xcalc since its the same
application? Its just a new upstream location.

Steve.

Comment 7 Steve Traylen 2010-03-22 04:36:32 UTC
I will never release in EPEL4 of course where RHEL4 does still have it.

Comment 8 Terje Røsten 2010-03-22 08:58:48 UTC
You can collapse
  install -d ${RPM_BUILD_ROOT}%{_datadir}/applications
  install -p -m 644 xcalc.desktop ${RPM_BUILD_ROOT}%{_datadir}/applications
to 
  install -D -p -m 644 xcalc.desktop ${RPM_BUILD_ROOT}%{_datadir}/applications/xcalc.desktop

And add the V=1:

 make %{?_smp_mflags} V=1

if you want.

License is of course MIT. 

Name conflicts from RHEL 3 in Fedora >= 11 I don't understand, ignored.

And we are done.

  The package xcalc is APPROVED.

Comment 9 Steve Traylen 2010-03-22 09:23:17 UTC
Many thanks for the approval, I'll wait a couple of days in case Russ has
any  more comment else I will go ahead with CVS.

Steve

Comment 10 R P Herrold 2010-03-22 16:54:23 UTC
Seems to me that a namespace issue where a new package name is dumped over an existing binary executable is indistinquishable to librpm which uses a union of either packagename, or `basename binaryname` in doing Dependency resolution, 

Thus the concern about namespace collision

http://fedoraproject.org/wiki/Packaging:Conflicts#Conflicting_Package_Names

I think you are buying support load and confusion not to address the matter rather than papering over it with Conflicts -- that said, I've nothing else to add

-- Russ herrold

Comment 11 Steve Traylen 2010-03-22 17:08:32 UTC
Hi Russ,

   I think it's just an impossibility to ever hit the conflict though.
   Trying to install xcalc.el5 on an EPEL4 box will just be completely
   impossible in the first place due to libc dependency problems etc.


Steve

Comment 12 Steve Traylen 2010-03-22 17:13:25 UTC
New Package CVS Request
=======================
Package Name: xcalc
Short Description: Scientific Calculator X11 Client
Owners: stevetraylen
Branches: F-12 F-13 EL-5

Comment 13 Kevin Fenzi 2010-03-24 03:45:28 UTC
I'm a bit confused here... the other xcalc is no longer shipped/maintained?

Comment 14 Terje Røsten 2010-03-24 07:55:10 UTC
If I am not mistaken xcalc was removed in the transition from XFree to Xorg. That happen in Fedora 6, just 4 years ago :-)

Comment 15 Steve Traylen 2010-03-24 08:03:05 UTC
On Centos4 
> rpm -qf /usr/bin/X11/xcalc 
xorg-x11-tools-6.8.2-1.EL.63

On Centos5
yum provides '*bin/xcalc'
No Matches found

It  vanished between x11 6 and 7.

Steve

Comment 16 R P Herrold 2010-03-24 13:44:35 UTC
The 'other' xcalc is presently in two active RHEL releases; and links against the (irrationally hated) 'Motif' libraries without dragging in half of creation

I use it as part of LSB test conformance suite -- older than dirt and not needing much attention to imake

It is a simple 'four banger' calculator, rather than a scientific one

... seems like a conflict to me, but I lack the patience, spare time and inclination to argue the point in the F or EPEL packaging policy mailing lists

-- Russ herrold

Comment 17 Steve Traylen 2010-03-24 14:30:33 UTC
Created attachment 402324 [details]
centos5 xcalc

This is the centos5 xcalc

Comment 18 Steve Traylen 2010-03-24 14:41:34 UTC
Created attachment 402328 [details]
xcalc in this review

This the xcalc in this review. Its the same thing.

Comment 19 R P Herrold 2010-03-24 15:42:33 UTC
.. then it is nothing like a HP-10C

http://en.wikipedia.org/wiki/HP-10C_series

and the description is wrong

-- Russ herrold

Comment 20 Jason Tibbitts 2010-03-25 14:12:27 UTC
Erm, xcalc -rpn ?

Comment 21 Jason Tibbitts 2010-03-30 23:09:19 UTC
So at this point I'm failing to understand any of the objections here.  I talked to one of the Fedora X maintainer who has no issue with this package or the naming, it's the same program which in ancient times was packaged with the same executable name and there's no conflict with anything else in the distribution.

If R P Herrold has any relevant objection, I'm sure everyone will be happy to look into it, but I can see no reason why this package shouldn't go in as is.

Comment 22 Steve Traylen 2010-03-30 23:31:09 UTC
Thanks Jason, my understanding of the points made is exactly the same.

I apologise I have users who actually miss this. Rather orthogonal
to  the more than exciting LHC (re)start up today. Seriously the same users
who want xcalc back generated these pictures with the LHC today http://cdsweb.cern.ch/record/1255405 . It's a big day for CERN and xcalc it seems.

Thanks Steve.

Comment 23 Kevin Fenzi 2010-04-03 17:39:34 UTC
CVS done (by process-cvs-requests.py).

Comment 24 Fedora Update System 2010-04-03 18:34:03 UTC
xcalc-1.0.3-5.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/xcalc-1.0.3-5.el5

Comment 25 Fedora Update System 2010-04-03 18:34:30 UTC
xcalc-1.0.3-5.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/xcalc-1.0.3-5.fc12

Comment 26 Fedora Update System 2010-04-03 18:34:57 UTC
xcalc-1.0.3-5.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/xcalc-1.0.3-5.fc13

Comment 27 Fedora Update System 2010-04-06 19:55:52 UTC
xcalc-1.0.3-5.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xcalc'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/xcalc-1.0.3-5.fc13

Comment 28 Fedora Update System 2010-04-07 22:17:02 UTC
xcalc-1.0.3-5.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xcalc'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/xcalc-1.0.3-5.el5

Comment 29 Fedora Update System 2010-04-09 01:29:51 UTC
xcalc-1.0.3-5.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xcalc'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/xcalc-1.0.3-5.fc12

Comment 30 Fedora Update System 2010-04-23 22:52:01 UTC
xcalc-1.0.3-5.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 31 Fedora Update System 2010-04-23 22:57:35 UTC
xcalc-1.0.3-5.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 32 Christoph Wickert 2010-04-24 06:17:46 UTC
Steve, please leave one blank line between each changelog entry, see
https://fedoraproject.org/wiki/Packaging:Guidelines#Changelogs

The desktop file could have some more categories. Ether use
Categories=Utility;Calculator;
or 
Categories=Science;Math;

See http://standards.freedesktop.org/menu-spec/latest/apa.html

None of this is really important enough for an update, just keep it in mind and fix it at some point.

Comment 33 Steve Traylen 2010-04-24 06:54:43 UTC
(In reply to comment #32)
> Steve, please leave one blank line between each changelog entry, see
> https://fedoraproject.org/wiki/Packaging:Guidelines#Changelogs

It does not mention to use blank lines does it?

The blank lines always appear anyway with a --changelog and things
like repodiff all still work. I do not think the blank lines are needed.

Comment 34 Christoph Wickert 2010-04-24 07:26:37 UTC
You are right, the blank lines are not mentioned (I thought they were).  Still I think that the spec should follow the rest of our packages. Again, it's really minor.

Comment 35 Fedora Update System 2010-04-26 23:23:56 UTC
xcalc-1.0.3-5.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.